%define upstream_name    Crypt-Rijndael
%define upstream_version 1.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Crypt::CBC compliant Rijndael encryption module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Manifest) >= 1.140.0
BuildRequires: perl(Test::More)
BuildRequires: perl-devel

%{?perl_default_filter}

%description
This module implements the Rijndael cipher, which has just been selected as the
Advanced Encryption Standard.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
CFLAGS="%{optflags}" make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc COPYING Changes LICENSE META.yml MYMETA.yml NEWS README
%{perl_vendorarch}/Crypt
%{perl_vendorarch}/auto/Crypt
%{_mandir}/man3*/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.130.0-4.mga6
+ Revision: 1024627
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.130.0-3.mga6
+ Revision: 956998
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.130.0-2.mga6
+ Revision: 844759
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 1.130.0-1.mga6
+ Revision: 840725
- New version 1.13 + Rebuild for the new perl

* Wed Oct 15 2014 umeabot <umeabot> 1.120.0-5.mga5
+ Revision: 742640
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.120.0-4.mga5
+ Revision: 733002
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.120.0-3.mga5
+ Revision: 684064
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.120.0-2.mga5
+ Revision: 630963
- Rebuild for perl 5.20

* Sun Feb 09 2014 sander85 <sander85> 1.120.0-1.mga5
+ Revision: 587344
- update to 1.12

* Sat Oct 19 2013 umeabot <umeabot> 1.110.0-5.mga4
+ Revision: 524289
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.110.0-4.mga4
+ Revision: 430612
- perl 5.18.0 rebuild

* Wed May 29 2013 tv <tv> 1.110.0-3.mga4
+ Revision: 430013
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 1.110.0-2.mga3
+ Revision: 364967
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 29 2012 kharec <kharec> 1.110.0-1.mga3
+ Revision: 285221
- update to 1.11

* Thu Jul 12 2012 jquelin <jquelin> 1.100.0-1.mga3
+ Revision: 270263
- update to 1.10

* Wed May 30 2012 jquelin <jquelin> 1.90.0-5.mga3
+ Revision: 250416
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 1.90.0-4.mga2
+ Revision: 103858
- perl 5.14

* Tue Jan 25 2011 jquelin <jquelin> 1.90.0-3.mga1
+ Revision: 38568
- remove erroneous %
- no parallel make
- mageia rebuild
- fix cflags invocation
- mageia rebuild
- imported package perl-Crypt-Rijndael


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 1.90.0-3mdv2011.0
+ Revision: 555721
- rebuild

* Tue Jul 20 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.90.0-2mdv2011.0
+ Revision: 555460
- rebuild

* Mon Jan 18 2010 Jérôme Quelin <jquelin@mandriva.org> 1.90.0-1mdv2010.1
+ Revision: 492950
- update to 1.09

* Sat Dec 12 2009 Jérôme Quelin <jquelin@mandriva.org> 1.80.0-1mdv2010.1
+ Revision: 477618
- update to 1.08

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.70.0-1mdv2010.0
+ Revision: 403038
- rebuild using %%perl_convert_version

* Sat Aug 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.07-1mdv2009.0
+ Revision: 272811
- update to new version 1.07

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.06-2mdv2009.0
+ Revision: 268405
- rebuild early 2009.0 package (before pixel changes)

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - update to new version 1.06

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1.05-2mdv2008.1
+ Revision: 152041
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Nov 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.05-1mdv2008.1
+ Revision: 109518
- new version


* Tue Mar 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.04-1mdv2007.0
+ Revision: 133723
- new version, dropped patch
- Import perl-Crypt-Rijndael

* Tue Mar 07 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-7mdk
- spec cleanup
- %%mkrel
- rpmbuilupdate aware
- fix directory ownership
- better summary, description and url

* Thu Feb 10 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.05-6mdk
- added P0 (PLD) to make it build on x86_64

* Tue Dec 07 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.05-5mdk
- Rebuild for new perl

* Sun Jun 06 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.05-4mdk
- rebuilt, fix deps
- use macros

